<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
       
        <form oninput="x.value=parseInt(a.value)+parseInt(b.value)">0
        <input type="range" id="a" value="50">100
        +<input type="number" id="b" value="50">
        =<output name="x" for="a b" id="blah"></output>
        </form>

        <input type="text" id="test">

        <button id="try">
            show
        </button>
        
        <p id="rrr"><strong>Note:</strong> The output element is not supported in Edge 12 or Internet Explorer and earlier versions.</p>
        
        
    <script>
        let x = document.getElementById("test");
        let y = document.getElementById("blah");
        let aa = document.getElementById("rrr");
        let z = y.innerHTML;
        let showBtn = document.getElementById("try");


        document.write(x.value);

        showBtn.onclick = function(){
            x.value = aa.innerHTML;
        }

    </script>
</body>
</html>